Subject: Re: [bitcoin-dev] Composite priority: combining fees and bitcoin-days into one number

From: Luke Dashjr <[email-masked]>
Date: Wed, 28 Oct 2015 07:13:55 +0000

On Wednesday, October 28, 2015 4:26:52 AM Jonathan Toomim via bitcoin-dev 
wrote:
> Assigning 5% of block space based on bitcoin-days destroyed (BDD) and the
> other 95% based on fees seems like a rather awkward approach to me. For
> one thing, it means two code paths in pretty much every procedure dealing
> with a constrained resource (e.g. mempool, CNB). This makes code harder
> two write, harder to maintain, and slower to execute.

This is all in the realm of node policy, which must be easy to 
modify/customise in a flexible manner. So simplifying other code in a way that 
makes the policy harder to configure is not a welcome change.

That is, by making the code simpler, if you make custom policies (such as the 
current default) harder, it is better to leave the main code less simple.

Luke